# openpyxl.writer.excel module

class openpyxl.writer.excel.ExcelWriter(workbook, archive)

  Bases: `object`

  Write a workbook object to an Excel file.

  save()

    Write data into the archive.

  write_data()
  write_worksheet(ws)

openpyxl.writer.excel.save_workbook(workbook, filename)

  Save the given workbook on the filesystem under the name filename.

  Parameters:

    - workbook (`openpyxl.workbook.Workbook`) – the workbook to save

    - filename (string) – the path to which save the workbook

  Return type:

    bool